Bug 468122 - ibdiagui needs graphviz-tcl package to run
ibdiagui needs graphviz-tcl package to run
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ibutils (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks: 734979
  Show dependency treegraph
 
Reported: 2008-10-22 19:21 EDT by Gurhan Ozen
Modified: 2013-11-03 20:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 734979 (view as bug list)
Environment:
Last Closed: 2009-01-20 16:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gurhan Ozen 2008-10-22 19:21:00 EDT
Description of problem:
# /usr/bin/ibdiagui
Loading IBDIAGUI from: /usr/lib64/ibdiagui1.2
Loading IBDM from: /usr/lib64/ibdm1.2
-W- Topology file is not specified.
    Reports regarding cluster links will use direct routes.
-W- A few ports of local device are up.
    Since port-num was not specified (-p option), port 1 of device 1 will be
    used as the local port.
-E- ibdiagui depends on a Tcldot installation
    Please download and install Graphviz
    Error: can't find package Tcldot

We should probably require graphviz-tcl package in the spec ?

Version-Release number of selected component (if applicable):
# rpm -qf /usr/bin/ibdiagui
ibutils-1.2-6.el5


yum install graphviz-tcl is the cure.
Comment 1 Doug Ledford 2008-10-23 09:32:45 EDT
You are correct.  If graphviz-tcl isn't a normal package that's installed, it certainly needs a Requires:.  I probably installed it manually and then just forgot to put the requires into the package.
Comment 2 Doug Ledford 2008-10-23 10:00:27 EDT
New package building, I'll need a QE ack and I'll need the errata in NEED_RESPIN to include it.
Comment 13 Gurhan Ozen 2008-11-07 18:00:24 EST
The graphviz package is not in the rhel tree, so ibutils package can't and doesn't require it. 

Those needing to run ibdiagui can enable epel repos and install graphviz-tcl package from there.
Comment 14 Doug Ledford 2008-11-07 20:36:12 EST
No, no...ibdiagui should work now without needing anything from the epel repos.  If it doesn't, then that's a bug.
Comment 15 Gurhan Ozen 2008-11-07 20:51:37 EST
Ugh... then we have a bug:

# rpm -q graphviz-tcl
package graphviz-tcl is not installed
# ibdiagui
Loading IBDIAGUI from: /usr/lib64/ibdiagui1.2
Loading IBDM from: /usr/lib64/ibdm1.2
-W- Topology file is not specified.
    Reports regarding cluster links will use direct routes.
-I- Using port 1 as the local port.
-E- ibdiagui depends on a Tcldot installation
    Please download and install Graphviz
    Error: can't find package Tcldot
# rpm -qf /usr/bin/ibdiagui
ibutils-1.2-7.el5
Comment 18 Doug Ledford 2008-11-11 10:29:48 EST
I moved this bug off the errata so we can drop the rhel5.3 flags and add rhel5.4 flags instead.  Resolving this bug will require either permanently removing ibdiagui or adding the graphviz package to rhel.
Comment 22 errata-xmlrpc 2009-01-20 16:41:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0170.html

Note You need to log in before you can comment on or make changes to this bug.